library fenris.game.map;

import '../../util/hasimage.dart';
import '../position.dart';
import 'dart:html';
import 'dart:math';

part 'tileset.dart';
part 'layer.dart';
part 'tile.dart';

class Map {
    Tileset tileset;
    List<Layer> layers;

    Map(this.tileset, this.layers);

    void draw(CanvasRenderingContext2D context) {
        for (Layer layer in this.layers) {
            layer.draw(context);
        }
    }
}